package oop.InnereKlassen;

public class AnonymeInnereKlassen {
	/*
	 * - hat keinen eigenen Name
	 * - Sie wird sofort in einer Ausdrücke definiert und instanziiert, oft als Implementierung einer Schnittstelle oder als Erweiterung einer Klasse, wenn nur eine einzige Instanz benötigt wird.
	 * - Sie wird sofort in einer Ausdrücke definiert und instanziiert, oft als Implementierung einer Schnittstelle oder als Erweiterung einer Klasse, wenn nur eine einzige Instanz benötigt wird.
	 * - sind ideal für einmalige Verwendungen
	 * - die verwendung von extends und imolements ist nicht erlaubt
	 */
	
	interface MyInterface {
        void display();
    }

    public static void main(String[] args) {
        MyInterface obj = new MyInterface() {
            @Override
            public void display() {
                System.out.println("Hello from Anonymous Inner Class");
            }
        };
        obj.display();
    }

}
